/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/drivers/wintel32/audio/fmoddevicechannel.hpp

*/

#ifndef SGX_FMOD_AUDIO_DEVICE_CHANNEL_HPP
#define SGX_FMOD_AUDIO_DEVICE_CHANNEL_HPP	1

class CFMODDeviceChannel : public CDeviceChannel
{
public:
	virtual		void	pause();
	virtual		void	resume();
	virtual		void	stop();
	virtual		tBOOL	hasFinished();

private:
	FMOD_CHANNEL *m_pChannel;
	tBOOL refreshChannel(CMixOutput *pMix);

	friend class CFMODSampleData;
	friend class CFMODSoundEngine;

};

#endif /* SGX_FMOD_AUDIO_DEVICE_CHANNEL_HPP */

